
package de.ivu.elect.presentation.wahlbeteiligung.action;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlauf;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.wahlbeteiligung.WahlbeteiligungVerlaufEditView;

@Named(WahlbeteiligungVerlaufEditAction.COMPONENT_NAME)
public class WahlbeteiligungVerlaufEditAction extends AbstractWahlbeteiligungVerlaufAction {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlbeteiligungVerlaufEditAction";

  @View
  @Inject
  private WahlbeteiligungVerlaufEditView wahlbeteiligungAuswertungEditView;

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.WAHLBETEILIGUNG_VERLAUF_EDIT;
  }

  @Override
  protected String doIt(WahlbeteiligungVerlauf wahlbeteiligungVerlauf) {
    return wahlbeteiligungAuswertungEditView.edit(wahlbeteiligungVerlauf);
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.edit";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconEdit();
  }


}
